(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib._1 = function() {
	this.initialize(img._1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,136,136);


(lib._2 = function() {
	this.initialize(img._2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,174,174);


(lib._3 = function() {
	this.initialize(img._3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,93,93);


(lib._4 = function() {
	this.initialize(img._4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,147,147);


(lib._5nam = function() {
	this.initialize(img._5nam);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.BG = function() {
	this.initialize(img.BG);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,174,304);


(lib.button = function() {
	this.initialize(img.button);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,200,43);


(lib.replay_btn = function() {
	this.initialize(img.replay_btn);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,14,14);


(lib.line = function() {
	this.initialize(img.line);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Logo = function() {
	this.initialize(img.Logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.t1 = function() {
	this.initialize(img.t1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,413,55);


(lib.t2 = function() {
	this.initialize(img.t2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,138,38);


(lib.t3 = function() {
	this.initialize(img.t3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,235,43);


(lib.t4 = function() {
	this.initialize(img.t4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,252,35);


(lib.t5 = function() {
	this.initialize(img.t5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,269,138);


(lib.xe = function() {
	this.initialize(img.xe);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,777,437);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol30 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.button();
	this.instance.setTransform(0,0,0.43,0.43);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,86,18.5);


(lib.Symbol29 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t5();
	this.instance.setTransform(0,0,1.219,1.219);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,327.9,168.2);


(lib.Symbol25 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Bitmap1();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol25, new cjs.Rectangle(0,0,174,304), null);


(lib.Symbol21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._5nam();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.Symbol19 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.BG();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Symbol15 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.line();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Symbol13 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.Symbol11 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.shape = new cjs.Shape();
	this.shape.graphics.bf(img.t1, null, new cjs.Matrix2D(0.57,0,0,0.57,-45.1,-15.7)).s().p("AnCCdIAAk5IOFAAIAAE5g");
	this.shape.setTransform(177.7,16.4);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(1));

	// Layer_1
	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.bf(img.t1, null, new cjs.Matrix2D(0.724,0,0,0.724,-206.8,-20)).s().p("AuZDHIAAmNIczAAIAAGNg");
	this.shape_1.setTransform(229.35,36.925);

	this.timeline.addTween(cjs.Tween.get(this.shape_1).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(132.6,0.7,189.00000000000003,56.199999999999996);


(lib.Symbol9 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t2();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,138,38);


(lib.Symbol7 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t3();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,235,43);


(lib.Symbol5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.t4();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,252,35);


(lib.shape90 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._4();
	this.instance.setTransform(-74,-74);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-74,-74,147,147);


(lib.shape88 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._3();
	this.instance.setTransform(-46,-46);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-46,-46,93,93);


(lib.shape86 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2();
	this.instance.setTransform(-87,-87);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-87,-87,174,174);


(lib.shape84 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1();
	this.instance.setTransform(-68,-68);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-68,-68,136,136);


(lib.Symbol31 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol30("synched",0);
	this.instance.setTransform(43,9.15,2.4523,2.4523,0,0,0,43,9.2);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,y:9.2,alpha:1},19,cjs.Ease.get(1)).wait(50).to({startPosition:0},0).to({scaleX:1.1163,scaleY:1.1163,x:43.05},7).to({scaleX:1,scaleY:1,x:43},7).to({scaleX:1.1163,scaleY:1.1163,x:43.05},7).to({scaleX:1,scaleY:1,x:43},7).wait(42).to({startPosition:0},0).to({_off:true},1).wait(339));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-62.4,-13.4,210.9,45.4);


(lib.Symbol24 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol25();
	this.instance.setTransform(86.9,151.9,1,1,0,0,0,86.9,151.9);
	this.instance.compositeOperation = "lighter";

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol24, new cjs.Rectangle(0,0,174,304), null);


(lib.Symbol23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol15("synched",0);
	this.instance.setTransform(203,9,1,1,0,0,0,203,9);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol23, new cjs.Rectangle(0,0,406,18), null);


(lib.Symbol22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol21("synched",0);
	this.instance.setTransform(78.5,49,1,1,0,0,0,78.5,49);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({alpha:1},14,cjs.Ease.get(1)).wait(134).to({startPosition:0},0).to({_off:true},1).wait(388));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,157,98);


(lib.Symbol20 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol19("synched",0);
	this.instance.setTransform(330,275,1,1,0,0,0,330,275);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,180,675);


(lib.Symbol16 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol23();
	this.instance.setTransform(203,9,0.1037,1,0,0,0,203,9);
	this.instance.alpha = 0.0313;
	this.instance.compositeOperation = "lighter";

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,alpha:1},19,cjs.Ease.get(1)).wait(129).to({_off:true},1).wait(371));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406,18);


(lib.Symbol14 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol13("synched",0);
	this.instance.setTransform(37.5,37,1,1,0,0,0,37.5,37);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,75,74);


(lib.Symbol12 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol11("synched",0);
	this.instance.setTransform(223.4,27.5,0.3714,0.3714,0,0,0,206.5,27.4);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:27.5,scaleX:1,scaleY:1,x:206.5,alpha:1},19,cjs.Ease.get(1)).wait(15).to({startPosition:0},0).to({y:18.2},6).to({y:27.5},6).wait(112).to({startPosition:0},0).to({_off:true},1).wait(387));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(132.6,-8.6,189.00000000000003,65.5);


(lib.Symbol10 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol9("synched",0);
	this.instance.setTransform(-62.85,19,1,1,0,0,0,69,19);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:69,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(290));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-131.8,0,269.8,38);


(lib.Symbol8 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol7("synched",0);
	this.instance.setTransform(117.55,21.75,2.0715,2.0715,0,0,0,117.5,21.6);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:21.5,scaleX:1,scaleY:1,x:117.5,y:21.5,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(352));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-125.8,-23,486.8,89.1);


(lib.Symbol6 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol5("synched",0);
	this.instance.setTransform(280.25,17.5,1,1,0,0,0,126,17.5);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:126,alpha:1},19,cjs.Ease.get(1)).wait(180).to({startPosition:0},0).to({_off:true},1).wait(218));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,406.3,35);


(lib.Symbol4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol29("synched",0);
	this.instance.setTransform(119.4,341.8,0.3692,0.3692,0,0,0,121.9,35.4);
	this.instance.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,x:86.6,y:341.85,alpha:1},19,cjs.Ease.get(1)).wait(129).to({startPosition:0},0).to({_off:true},1).wait(316));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-35.3,306.5,327.90000000000003,168.2);


(lib.Symbol1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	var mask_graphics_20 = new cjs.Graphics().p("AFgEJQg1gIgMgFQg6gSgYgsQgagwiyjEQiujBgSgHID5gIQEcgHCkAKQDHAMBoAXQBpAWBVAyQBIApD7C1QB+BbBvBTQs9ANhdADQjLAGg7AAIgXgBgArkD5QAOhtAThzQAkjmATgeQCCgEBLALQBMALAkAcQAeAXAvA6IAoA2IgIB6Qg+AEhAAIQiAAQgKAUQgKAUACAtQABAXACATIAFAlgAxxDbQjngQACgCIASidIB7jXIClgeQC4gfBdgIQgaBaglBuQgaBMgBAQQgDAggdCYIjogRgA4MBnQgRhUAPgmQAPgmAjgaQASgNAOgGICeg4IjbFSQgLgjgIgqg");

	this.timeline.addTween(cjs.Tween.get(mask).to({graphics:null,x:0,y:0}).wait(20).to({graphics:mask_graphics_20,x:366.6984,y:148.1532}).wait(465));

	// Layer_3
	this.instance = new lib.Symbol24("synched",0);
	this.instance.setTransform(107.05,133.95,1,1.417,44.9996,0,0,86.9,151.8);
	this.instance._off = true;

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(20).to({_off:false},0).to({scaleY:1.3177,rotation:44.9995,x:623.1,y:221.35},40).wait(425));

	// Layer_1
	this.instance_1 = new lib.xe();

	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({_off:true},455).wait(30));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,826.2,437);


(lib.sprite91 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape90("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite91, new cjs.Rectangle(-74,-74,147,147), null);


(lib.sprite89 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape88("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite89, new cjs.Rectangle(-46,-46,93,93), null);


(lib.sprite87 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape86("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite87, new cjs.Rectangle(-87,-87,174,174), null);


(lib.sprite85 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.shape84("synched",0);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.sprite85, new cjs.Rectangle(-68,-68,136,136), null);


(lib.Symbol26 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// t4_png
	this.instance = new lib.Symbol6("synched",0);
	this.instance.setTransform(180.5,153.85,0.7975,0.7975,0,0,0,126,17.6);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(5).to({_off:false},0).wait(200));

	// t3_png
	this.instance_1 = new lib.Symbol8("synched",0);
	this.instance_1.setTransform(169.45,126.65,0.9621,0.9621,0,0,0,117.5,21.7);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(5).to({_off:false},0).wait(200));

	// t2_png
	this.instance_2 = new lib.Symbol10("synched",0);
	this.instance_2.setTransform(115.5,100.5,0.8116,0.8116,0,0,0,69,19.1);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(5).to({_off:false},0).wait(200));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-64.6,0,468.6,169.3);


(lib.sprite94 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_9
	this.instance = new lib.sprite91();
	this.instance.setTransform(1.65,10.85,0.6422,0.6422);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:-10.15,y:-0.15,alpha:1},18).to({scaleX:0.7113,scaleY:0.7113,x:-38.8,y:0.05,alpha:0},40).wait(1));

	// Layer_7
	this.instance_1 = new lib.sprite89();
	this.instance_1.setTransform(17.6,-0.15,0.6422,0.6422);
	this.instance_1.alpha = 0;

	this.instance_2 = new lib.shape88("synched",0);
	this.instance_2.setTransform(14.1,0,0.4108,0.4108);
	this.instance_2.alpha = 0;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1}]}).to({state:[{t:this.instance_1}]},18).to({state:[{t:this.instance_1}]},5).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},10).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},4).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},5).to({state:[{t:this.instance_1}]},1).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},1).to({state:[]},1).wait(7));
	this.timeline.addTween(cjs.Tween.get(this.instance_1).to({alpha:1},18).to({scaleX:0.6062,scaleY:0.6062,x:17.05,alpha:0.8398},5).to({scaleX:0.601,scaleY:0.601,x:17,y:-0.1,alpha:0.8203},1).to({scaleX:0.5394,scaleY:0.5394,x:16.05,alpha:0.5508},10).to({scaleX:0.5342,scaleY:0.5342,x:15.95,y:-0.05,alpha:0.5391},1).to({scaleX:0.5291,scaleY:0.5291,x:15.9,alpha:0.5117},1).to({scaleX:0.5239,scaleY:0.5239,x:15.8,y:0,alpha:0.4883},1).to({scaleX:0.5034,scaleY:0.5034,x:15.5,alpha:0.3984},4).to({scaleX:0.4982,scaleY:0.4982,x:15.4,y:-0.05,alpha:0.3789},1).to({scaleX:0.452,scaleY:0.452,x:14.7,alpha:0.1797},5).to({scaleX:0.4468,scaleY:0.4468,x:14.65,y:0,alpha:0.1602},1).to({scaleX:0.416,scaleY:0.416,x:14.2,alpha:0.0195},2).to({_off:true},1).wait(8));

	// Layer_5
	this.instance_3 = new lib.sprite87();
	this.instance_3.setTransform(10.3,-0.15,0.6422,0.6422);
	this.instance_3.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).to({scaleX:0.618,scaleY:0.618,x:9.55,alpha:0.2695},8).to({scaleX:0.6164,scaleY:0.6164,x:9.5,y:-0.1,alpha:0.2891},1).to({scaleX:0.589,scaleY:0.589,x:8.6,alpha:0.6016},9).to({scaleX:0.5318,scaleY:0.5318,x:6.75,alpha:0.4688},8).to({scaleX:0.5261,scaleY:0.5261,x:6.55,y:-0.05,alpha:0.4609},1).to({scaleX:0.5032,scaleY:0.5032,x:5.85,alpha:0.4102},3).to({scaleX:0.4975,scaleY:0.4975,x:5.65,y:-0.1,alpha:0.3906},1).to({scaleX:0.4461,scaleY:0.4461,x:4,alpha:0.2695},8).to({scaleX:0.4403,scaleY:0.4403,x:3.8,y:-0.05,alpha:0.2617},1).to({scaleX:0.4003,scaleY:0.4003,x:2.5,alpha:0.1719},4).to({scaleX:0.3946,scaleY:0.3946,x:2.35,y:0,alpha:0.1602},1).to({scaleX:0.3317,scaleY:0.3317,x:0.3,alpha:0.0117},6).to({_off:true},1).wait(7));

	// Layer_3
	this.instance_4 = new lib.sprite85();
	this.instance_4.setTransform(0,0,1.1365,1.1365,32.5708);
	this.instance_4.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).to({scaleX:1.1494,scaleY:1.1494,rotation:37.1179,alpha:0.0508},1).to({scaleX:1.4425,scaleY:1.4425,rotation:129.6376,alpha:0.9492},13).to({scaleX:1.4595,scaleY:1.4595,rotation:134.371,alpha:1},1).to({scaleX:1.052,scaleY:1.052,rotation:178.9778,alpha:0.1289},16).to({scaleX:1.037,scaleY:1.037,rotation:180.5143,alpha:0.1016},1).to({scaleX:0.9918,scaleY:0.9918,rotation:185.5064,alpha:0},2).to({_off:true},1).wait(24));

	// Layer_1
	this.instance_5 = new lib.sprite85();
	this.instance_5.setTransform(0,0,0.6602,0.6602,82.7387);
	this.instance_5.alpha = 0;
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(4).to({_off:false},0).to({scaleX:0.6552,scaleY:0.6552,rotation:139.898,alpha:0.5703},6).to({scaleX:0.6564,scaleY:0.6564,rotation:177.9871,alpha:0.9492},4).to({scaleX:0.6562,scaleY:0.6562,rotation:183.5473,alpha:1},1).to({scaleX:0.571,scaleY:0.571,rotation:231.1704,alpha:0.5},8).to({scaleX:0.491,scaleY:0.491,rotation:278.9943,alpha:0},8).to({_off:true},1).wait(27));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-140.3,-140.3,280.70000000000005,280.70000000000005);


(lib.Symbol27 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol26("synched",0);
	this.instance.setTransform(240.5,166.65,1,1,0,0,0,300,250);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(41).to({startPosition:39},0).to({y:160.65,startPosition:45},6).to({y:166.65,startPosition:52},6).wait(105).to({startPosition:157},0).to({_off:true},1).wait(418));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-124.1,-4.3,468.6,90.3);


(lib.Symbol2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.sprite94("synched",0);
	this.instance.setTransform(528.15,223.25,1.2428,1.2428);

	this.instance_1 = new lib.sprite94("synched",0);
	this.instance_1.setTransform(663.55,220.05,1.2428,1.2428);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.instance_1},{t:this.instance}]},59).to({state:[]},60).wait(387));

	// Layer_1
	this.instance_2 = new lib.Symbol1("synched",0);
	this.instance_2.setTransform(29.85,258,0.3255,0.3255,0,0,0,97.4,270.8);
	this.instance_2.alpha = 0.0313;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).to({regX:97.5,scaleX:1,scaleY:1,x:97.5,y:270.8,alpha:1},20,cjs.Ease.get(1)).wait(138).to({startPosition:138},0).to({_off:true},1).wait(347));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1.8,0,839.8,437);


// stage content:
(lib._160x600 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_2
	this.instance = new lib.Symbol31("synched",0);
	this.instance.setTransform(80,557.4,1,1,0,0,0,43,9.2);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(19).to({_off:false},0).wait(140));

	// _nam_png
	this.instance_1 = new lib.Symbol22("synched",0);
	this.instance_1.setTransform(79,517.8,0.3615,0.3615,0,0,0,78.7,49.2);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(10).to({_off:false},0).wait(149));

	// line_png
	this.instance_2 = new lib.Symbol16("synched",0);
	this.instance_2.setTransform(79.55,421.45,0.4267,0.9839,0,0,0,202.6,9.3);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(10).to({_off:false},0).wait(149));

	// t5_png
	this.instance_3 = new lib.Symbol4("synched",0);
	this.instance_3.setTransform(115.5,275.1,0.4894,0.4894,0,0,0,200.3,51.5);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(10).to({_off:false},0).wait(149));

	// Layer_14
	this.instance_4 = new lib.Symbol27("synched",0);
	this.instance_4.setTransform(66.05,215.1,0.6874,0.6874,0,0,0,90.5,41.8);

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(159));

	// t1_png
	this.instance_5 = new lib.Symbol12("synched",0);
	this.instance_5.setTransform(64.4,157.1,0.7833,0.7833,0,0,0,206.6,27.6);

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(159));

	// Logo_png
	this.instance_6 = new lib.Symbol14("synched",0);
	this.instance_6.setTransform(79.6,67,0.7622,0.7622,0,0,0,37.5,37.1);

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(159));

	// xe_png
	this.instance_7 = new lib.Symbol2("synched",0);
	this.instance_7.setTransform(70.85,338.9,0.2865,0.2865,0,0,0,388.4,218.7);

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(159));

	// BG_jpg
	this.instance_8 = new lib.Symbol20("synched",0);
	this.instance_8.setTransform(293.35,244.45,0.8889,0.8889,0,0,0,330,275);

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(159));

	// stageBackground
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("rgba(0,0,0,0)").ss(1,1,1,3,true).p("EgODgwbIcHAAMAAABg3I8HAAg");
	this.shape.setTransform(80,300);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("EgODAwcMAAAhg3IcHAAMAAABg3g");
	this.shape_1.setTransform(80,300);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(159));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(-1.5,300,242.1,300);
// library properties:
lib.properties = {
	id: '89D79A1C88F25847A8FD4683FBB68D70',
	width: 160,
	height: 600,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/_1.png?1747036200221", id:"_1"},
		{src:"images/_2.png?1747036200221", id:"_2"},
		{src:"images/_3.png?1747036200221", id:"_3"},
		{src:"images/_4.png?1747036200221", id:"_4"},
		{src:"images/_5nam.png?1747036200221", id:"_5nam"},
		{src:"images/BG.jpg?1747036200221", id:"BG"},
		{src:"images/Bitmap1.png?1747036200221", id:"Bitmap1"},
		{src:"images/button.jpg?1747036200221", id:"button"},
		{src:"images/replay_btn.png?1747036200221", id:"replay_btn"},
		{src:"images/line.png?1747036200221", id:"line"},
		{src:"images/Logo.png?1747036200221", id:"Logo"},
		{src:"images/t1.png?1747036200221", id:"t1"},
		{src:"images/t2.png?1747036200221", id:"t2"},
		{src:"images/t3.png?1747036200221", id:"t3"},
		{src:"images/t4.png?1747036200221", id:"t4"},
		{src:"images/t5.png?1747036200221", id:"t5"},
		{src:"images/xe.png?1747036200221", id:"xe"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['89D79A1C88F25847A8FD4683FBB68D70'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;